Skip to main content
GET
/
v4
/
posts
List posts
curl --request GET \
  --url https://api.kit.com/v4/posts \
  --header 'X-Kit-Api-Key: <api-key>'
require 'uri'
require 'net/http'

url = URI("https://api.kit.com/v4/posts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Kit-Api-Key"] = '<api-key>'

response = http.request(request)
puts response.read_body
const options = {method: 'GET', headers: {'X-Kit-Api-Key': '<api-key>'}};

fetch('https://api.kit.com/v4/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.kit.com/v4/posts"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-Kit-Api-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kit.com/v4/posts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Kit-Api-Key: <api-key>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests

url = "https://api.kit.com/v4/posts"

headers = {"X-Kit-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "posts": [
    {
      "id": 3,
      "publication_id": 127,
      "created_at": "2026-06-11T16:15:02Z",
      "title": "Draft Post",
      "slug": null,
      "description": null,
      "meta_description": null,
      "status": "draft",
      "published_at": null,
      "sent_at": null,
      "thumbnail_alt": null,
      "thumbnail_url": null,
      "is_paid": false,
      "public_url": null
    },
    {
      "id": 2,
      "publication_id": 126,
      "created_at": "2026-06-11T16:15:02Z",
      "title": "Email and Web Post",
      "slug": "email-and-web-post",
      "description": null,
      "meta_description": null,
      "status": "published",
      "published_at": "2026-06-09T16:15:02Z",
      "sent_at": "2026-06-11T16:15:02Z",
      "thumbnail_alt": null,
      "thumbnail_url": null,
      "is_paid": false,
      "public_url": "https://asdf.kit.com/posts/email-and-web-post"
    },
    {
      "id": 1,
      "publication_id": 125,
      "created_at": "2026-06-11T16:15:02Z",
      "title": "Web Only Post",
      "slug": "web-only-post",
      "description": null,
      "meta_description": null,
      "status": "published",
      "published_at": "2026-06-10T16:15:02Z",
      "sent_at": null,
      "thumbnail_alt": null,
      "thumbnail_url": null,
      "is_paid": false,
      "public_url": "https://asdf.kit.com/posts/web-only-post"
    }
  ],
  "pagination": {
    "has_previous_page": false,
    "has_next_page": false,
    "start_cursor": "WzNd",
    "end_cursor": "WzFd",
    "per_page": 500
  }
}

Authorizations

X-Kit-Api-Key
string
header
required

Authenticate API requests via an API Key

Query Parameters

after
any | null

To fetch next page of results, use ?after=<end_cursor>

before
any | null

To fetch previous page of results, use ?before=<start_cursor>

include_content
boolean

To include the content field on each post in the response, use true. Omitted by default because it significantly increases response size and latency for large collections.

include_total_count
boolean

Set to true to include the total_count in the response. This option can cause slow responses; if paging through results, request it only on the first page and reuse the value for subsequent pages.

per_page
any | null

Number of results per page. Default 500, maximum 1000.

Response

200 - application/json

Returns a paginated list of all posts for your account

posts
object[]
required
pagination
object
required